[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# DrawFrameControl

Draws a window frame for a control of the specified type in a given state.

## Declaration

Source position: winapih.inc line 82

`function DrawFrameControl(`
`DC: HDC;`
`const Rect: TRect;`
`uType: Cardinal;`
`uState: Cardinal`
`):Boolean;`

## Arguments

`DC` |  | Device context where the operation is performed.
`Rect` |  | Rectangle with the bounds for the control.
`uType` |  | Identifies the type of control for the frame.
`uState` |  | Identifies the state for the control.

## Function result

Returns False when the control type is anything other than a button.